[Bug 194635] Re: Please remove process-interdiff from ubuntu-dev-tools

Launchpad Bug Tracker 194635 at bugs.launchpad.net
Sun Feb 24 19:00:13 UTC 2008

This bug was fixed in the package ubuntu-dev-tools - 0.27

ubuntu-dev-tools (0.27) hardy; urgency=low

  [ Andrew Hunter ]
  * ppaput:
    - Separated ppaput script from backend python modules (LP: #192184).
    - Switched from homegrown option parseing to Optparse, much more
      robust and less code duplication.

  [ Daniel Holbach ]
  * README, debian/rules, doc/ppaput.1.docbook, ppaput, setup.py: removed
    ppaput for now. It has shortcomings and is not actively used in the
    sponsoring process (LP: #194634).

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * This upload removes accidentaly uploaded files (LP: #194635, #194618,
  * Remove executable bit from AUTHORS file (LP: #194619).
  * debian/control:
     - Change the Vcs-Bzr address to the correct one.
     - Move the reportbug dependency to Recommends.
     - Drop docbook2x build dependency (see Daniel's changes).
  * Move ppaput.py (the module) into new ubuntutools/ directory and
    remove it's shabang.
  * submittodebian:
     - Check if reportbug is installed and if it isn't throw an error.
  * suspicious-sources:
     - Ignore .in files.
  * pbuilder-dist:
     - Apply patch from James Westby to fix a problem where it always
       wanted to get the architecture to use as an option if a symlink
       was being used .
     - Fix a recently introduced problem where pbuilder-dist would always
       want to know the architecture if a symlink was being used. Thanks to
       Adrien Cunin and James Westby for their help on this (LP: #194633).
     - Escape many variables to avoid possible problems there.
     - Reorganize the code a bit and comment it.
     - Accept "upgrade" as an alias for "update".
     - Hide lsb_release's traceback if pbuilder-dist is manually aborted
       while the distribution was being detected.
  * 404main:
     - Try to filter out entries from Debian and PPAs, thanks to Adrien
       Cunin! (LP: #194704)
     - Add limited support for multiple distributions (and update they
       manpage to reflect this).
     - TODO: Use python-apt instead of lots of pipes.
  * debian/copyright.
     - Add ppaput (the executable has been removed for now -see above-,
       but there is still the module in the source package).
  * debian/pycompat:
     - Remove it, as it is not necessary for python-central.

  [ Terence Simpson ]
  * dgetlp:
     - Fix bug where optaining the .orig.tar.gz would fail if the package
       name contains hypens.
     - Add support for native packages.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct at ubuntu.com>   Sun,
24 Feb 2008 19:11:06 +0100

** Changed in: ubuntu-dev-tools (Ubuntu)
       Status: Fix Committed => Fix Released

Please remove process-interdiff from ubuntu-dev-tools
You received this bug notification because you are a member of MOTU,
which is subscribed to ubuntu-dev-tools in ubuntu.

More information about the universe-bugs mailing list